package in.slanglabs.assistants.retail;

import android.content.Context;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class SlangRetailAssistantConvaTriggerViewFactory extends PlatformViewFactory {

    private final BinaryMessenger messenger;

    public SlangRetailAssistantConvaTriggerViewFactory(BinaryMessenger messenger) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
    }

    @NonNull
    @Override
    public PlatformView create(@Nullable Context context, int viewId, @Nullable Object args) {
        return new SlangRetailAssistantConvaTriggerView(context, args, viewId);
    }
}
